import sys


def remove_stopwords(txt):
    stopwords = 'A,AGORA,AINDA,ALGUÉM,DA,ALGUM,ALGUMA,ALGUMAS,ALGUNS,AMPLA,AMPLAS,AMPLO,AMPLOS,ANTE,ANTES,AO,AOS,APÓS,AQUELA,AQUELAS,AQUELE,AQUELES,AQUILO,AS,ATÉ,ATRAVÉS,CADA,COISA,COISAS,COM,COMO,CONTRA,CONTUDO,DA,DAQUELE,DAQUELES,DAS,DE,DELA,DELAS,DELE,DELES,DEPOIS,DESSA,DESSAS,DESSE,DESSES,DESTA,DESTAS,DESTE,DESTE,DESTES,DEVE,DEVEM,DEVENDO,DEVER,DEVERÁ,DEVERÃO,DEVERIA,DEVERIAM,DEVIA,DEVIAM,DISSE,DISSO,DISTO,DITO,DIZ,DIZEM,DO,DOS,E,É,ELA,ELAS,ELE,ELES,EM,ENQUANTO,ENTRE,ERA,ESSA,ESSAS,ESSE,ESSES,ESTA,ESTÁ,ESTAMOS,ESTÃO,ESTAS,ESTAVA,ESTAVAM,ESTÁVAMOS,ESTE,ESTES,ESTOU,EU,FAZENDO,FAZER,FEITA,FEITAS,FEITO,FEITOS,FOI,FOR,FORAM,FOSSE,FOSSEM,GRANDE,GRANDES,HÁ,ISSO,ISTO,JÁ,LA,LÁ,LHE,LHES,LO,MAS,ME,MESMA,MESMAS,MESMO,MESMOS,MEU,MEUS,MINHA,MINHAS,MUITA,MUITAS,MUITO,MUITOS,NA,NÃO,NAS,NEM,NENHUM,NESSA,NESSAS,NESTA,NESTAS,NINGUÉM,NO,NOS,NÓS,NOSSA,NOSSAS,NOSSO,NOSSOS,NUM,NUMA,NUNCA,O,OS,OU,OUTRA,OUTRAS,OUTRO,OUTROS,PARA,PELA,PELAS,PELO,PELOS,PEQUENA,PEQUENAS,PEQUENO,PEQUENOS,PER,PERANTE,PODE,PUDE,PODENDO,PODER,PODERIA,PODERIAM,PODIA,PODIAM,POIS,POR,PORÉM,PORQUE,POSSO,POUCA,POUCAS,POUCO,POUCOS,PRIMEIRO,PRIMEIROS,PRÓPRIA,PRÓPRIAS,PRÓPRIO,PRÓPRIOS,QUAIS,QUAL,QUANDO,QUANTO,QUANTOS,QUE,QUEM,SÃO,SE,SEJA,SEJAM,SEM,SEMPRE,SENDO,SERÁ,SERÃO,SEU,SEUS,SI,SIDO,SÓ,SOB,SOBRE,SUA,SUAS,TALVEZ,TAMBÉM,TAMPOUCO,TE,TEM,TENDO,TENHA,TER,TEU,TEUS,TI,TIDO,TINHA,TINHAM,TODA,TODAS,TODAVIA,TODO,TODOS,TU,TUA,TUAS,TUDO,ÚLTIMA,ÚLTIMAS,ÚLTIMO,ÚLTIMOS,UM,UMA,UMAS,UNS,VENDO,VER,VEZ,VINDO,VIR,VOS,VÓS,AGORA,AINDA,ALGUÉM,ALGUM,ALGUMA,ALGUMAS,ALGUNS,AMPLA,AMPLAS,AMPLO,AMPLOS,ANTE,ANTES,AO,AOS,APÓS,AQUELA,AQUELAS,AQUELE,AQUELES,AQUILO,AS,ATÉ,ATRAVÉS,CADA,COISA,COISAS,COM,COMO,CONTRA,CONTUDO,DA,DAQUELE,DAQUELES,DAS,DE,DELA,DELAS,DELE,DELES,DEPOIS,DESSA,DESSAS,DESSE,DESSES,DESTA,DESTAS,DESTE,DESTE,DESTES,DEVE,DEVEM,DEVENDO,DEVER,DEVERÁ,DEVERÃO,DEVERIA,DEVERIAM,DEVIA,DEVIAM,DISSE,DISSO,DISTO,DITO,DIZ,DIZEM,DO,DOS,E,É,E,ELA,ELAS,ELE,ELES,EM,ENQUANTO,ENTRE,ERA,ESSA,ESSAS,ESSE,ESSES,ESTA,ESTÁ,ESTAMOS,ESTÃO,ESTAS,ESTAVA,ESTAVAM,ESTÁVAMOS,ESTE,ESTES,ESTOU,EU,FAZENDO,FAZER,FEITA,FEITAS,FEITO,FEITOS,FOI,FOR,FORAM,FOSSE,FOSSEM,GRANDE,GRANDES,HÁ,ISSO,ISTO,JÁ,LA,LA,LÁ,LHE,LHES,LO,MAS,ME,MESMA,MESMAS,MESMO,MESMOS,MEU,MEUS,MINHA,MINHAS,MUITA,MUITAS,MUITO,MUITOS,NA,NÃO,NAS,NEM,NENHUM,NESSA,NESSAS,NESTA,NESTAS,NINGUÉM,NO,NOS,NÓS,NOSSA,NOSSAS,NOSSO,NOSSOS,NUM,NUMA,NUNCA,O,OS,OU,OUTRA,OUTRAS,OUTRO,OUTROS,PARA,PELA,PELAS,PELO,PELOS,PEQUENA,PEQUENAS,PEQUENO,PEQUENOS,PER,PERANTE,PODE,PÔDE,PODENDO,PODER,PODERIA,PODERIAM,PODIA,PODIAM,POIS,POR,PORÉM,PORQUE,POSSO,POUCA,POUCAS,POUCO,POUCOS,PRIMEIRO,PRIMEIROS,PRÓPRIA,PRÓPRIAS,PRÓPRIO,PRÓPRIOS,QUAIS,QUAL,QUANDO,QUANTO,QUANTOS,QUE,QUEM,SÃO,SE,SEJA,SEJAM,SEM,SEMPRE,SENDO,SERÁ,SERÃO,SEU,SEUS,SI,SIDO,SÓ,SOB,SOBRE,SUA,SUAS,TALVEZ,TAMBÉM,TAMPOUCO,TE,TEM,TENDO,TENHA,TER,TEU,TEUS,TI,TIDO,TINHA,TINHAM,TODA,TODAS,TODAVIA,TODO,TODOS,TU,TUA,TUAS,TUDO,ÚLTIMA,ÚLTIMAS,ÚLTIMO,ÚLTIMOS,UM,UMA,UMAS,UNS,VENDO,VER,VEZ,VINDO,VIR,VOS,VÓS,DE,QUE,E,DO,DA,EM,UM,PARA,É,COM,NÃO,UMA,OS,NO,SE,NA,POR,MAIS,AS,DOS,COMO,MAS,FOI,AO,ELE,DAS,TEM,À,SEU,SUA,OU,SER,QUANDO,MUITO,HÁ,NOS,JÁ,ESTÁ,EU,TAMBÉM,SÓ,PELO,PELA,ATÉ,ISSO,ELA,ENTRE,ERA,DEPOIS,SEM,MESMO,AOS,TER,SEUS,QUEM,NAS,ME,ESSE,ELES,ESTÃO,VOCÊ,TINHA,FORAM,ESSA,NUM,NEM,SUAS,MEU,ÀS,MINHA,TÊM,NUMA,PELOS,ELAS,HAVIA,SEJA,QUAL,SERÁ,NÓS,TENHO,LHE,DELES,ESSAS,ESSES,PELAS,ESTE,FOSSE,DELE,TU,TE,VOCÊS,VOS,LHES,MEUS,MINHAS,TEU,TUA,TEUS,TUAS,NOSSO,NOSSA,NOSSOS,NOSSAS,DELA,DELAS,ESTA,ESTES,ESTAS AQUELE,AQUELA,AQUELES,AQUELAS,ISTO,AQUILO,ESTOU,ESTÁ,ESTAMOS,ESTÃO,ESTIVE,ESTEVE,ESTIVEMOS,ESTIVERAM,ESTAVA,ESTÁVAMOS,ESTAVAM,ESTIVERA,ESTIVÉRAMOS,ESTEJA,ESTEJAMOS,ESTEJAM,ESTIVESSE,ESTIVÉSSEMOS,ESTIVESSEM,ESTIVER,ESTIVERMOS,ESTIVEREM,HEI,HÁ,HAVEMOS,HÃO,HOUVE,HOUVEMOS,HOUVERAM,HOUVERA,HOUVÉRAMOS,HAJA,HAJAMOS,HAJAM,HOUVESSE,HOUVÉSSEMOS,HOUVESSEM,HOUVER,HOUVERMOS,HOUVEREM,HOUVEREI,HOUVERÁ,HOUVEREMOS,HOUVERÃO,HOUVERIA,HOUVERÍAMOS,HOUVERIAM,SOU,SOMOS,SÃO,ERA,ÉRAMOS,ERAM,FUI,FOI,FOMOS,FORAM,FORA,FÔRAMOS,SEJA,SEJAMOS,SEJAM,FOSSE,FÔSSEMOS,FOSSEM,FOR,FORMOS,FOREM,SEREI,SERÁ,SEREMOS,SERÃO,SERIA,SERÍAMOS,SERIAM,TENHO,TEM,TEMOS,TÉM,TINHA,TÍNHAMOS,TINHAM,TIVE,TEVE,TIVEMOS,TIVERAM,TIVERA,TIVÉRAMOS,TENHA,TENHAMOS,TENHAM,TIVESSE,TIVÉSSEMOS,TIVESSEM,TIVER,TIVERMOS,TIVEREM,TEREI,TERÁ,TEREMOS,TERÃO,TERIA,TERÍAMOS,TERIAM,O,O'.split(',')

    texto = list(txt.split(' '))
    new_list = []
    for e in texto:
        if e.upper() not in stopwords:
            new_list.append(e)
            item_list = new_list
    
    retorno=', '.join(item_list)       
    retorno = retorno.replace(',','')
    return retorno
      


if __name__ == "__main__":
    for line in sys.stdin:
        print(remove_stopwords(line.strip()))
